Bug 29094 - UDM Fehler in univention-ad-takeover E: Can`t find running daemon after 10 Seconds.
UDM Fehler in univention-ad-takeover E: Can`t find running daemon after 10 Se...
Status: RESOLVED WONTFIX
Product: UCS
Classification: Unclassified
Component: S4 Connector
UCS 3.0
Other Linux
: P5 normal (vote)
: ---
Assigned To: Connector maintainers
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-07 15:50 CET by Arvid Requate
Modified: 2016-10-11 08:02 CEST (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2012-11-07 15:50:01 CET
Aus einer Testumgebung wurden folgende UDM-Tracebacks bei einem Lauf von univention-ad-takeover gemeldet:

==========================================================================
2012-11-03 19:15:59,391 Provision OK for domain DN DC=addom,DC=local
2012-11-03 19:15:59,936 Samba domain join successfull.
2012-11-03 19:16:01,652 Replacing old UCS sambaSID
(S-1-5-21-1844855351-4121172218-287414355) by AD domain SID
(S-1-5-21-435319948-1971931281-1629419005). 2012-11-03 19:16:02,864 Password history length changed!
2012-11-03 19:16:02,865 Minimum password age changed!
2012-11-03 19:16:02,865 Maximum password age changed!
2012-11-03 19:16:02,865 All changes applied successfully!
2012-11-03 19:16:05,655 Create samba4/dcerpc/endpoint/drsuapi
2012-11-03 19:16:05,656 Module: zarafa-cfg
2012-11-03 19:16:05,656 Multifile: /etc/samba/smb.conf
2012-11-03 19:16:06,144 Starting Samba 4 daemon: samba.
2012-11-03 19:16:07,465 Creating OUs in the Univention Directory Manager
2012-11-03 19:16:18,075 E: Can`t find running daemon after 10 Seconds. (No socketfile)
2012-11-03 19:16:34,603 Object exists: ou=Domain Controllers,dc=addom,dc=local 2012-11-03 19:16:34,975 Traceback (most recent call last):
2012-11-03 19:16:35,085 Traceback (most recent call last):
2012-11-03 19:16:35,086   File "/usr/share/univention-directory-manager-tools/univention-cli-server", line 233, in doit
2012-11-03 19:16:35,086     output = univention.admincli.admin.doit(arglist)
2012-11-03 19:16:35,086   File "/usr/lib/pymodules/python2.6/univention/admincli/admin.py", line 387, in doit
2012-11-03 19:16:35,086     out=_doit(arglist)
2012-11-03 19:16:35,086   File "/usr/lib/pymodules/python2.6/univention/admincli/admin.py", line 791, in _doit
2012-11-03 19:16:35,086     dn=object.create()
2012-11-03 19:16:35,087   File "/usr/lib/pymodules/python2.6/univention/admin/handlers/__init__.py", line 332, in create
2012-11-03 19:16:35,087     return self._create()
2012-11-03 19:16:35,087   File "/usr/lib/pymodules/python2.6/univention/admin/handlers/__init__.py", line 603, in _create
2012-11-03 19:16:35,087     self._ldap_pre_create()
2012-11-03 19:16:35,087   File "/usr/lib/pymodules/python2.6/univention/admin/handlers/container/ou.py", line 252, in _ldap_pre_create
2012-11-03 19:16:35,087     if m.module == 'container/cn':
2012-11-03 19:16:35,087 AttributeError: 'NoneType' object has no attribute 'module'
2012-11-03 19:16:35,308 Traceback (most recent call last):
==========================================================================

Kritisch ist das im Moment nicht, weil der Univention S4 Connector die OU- und CN-Conainter später sowieso anlegt, die erste Synchronisation wäere nur effizienter, wenn das an dieser Stelle schon klappen würde.

Es sollte hier geprüft werden, warum es zu den UDM-Tracebacks kommt.
Die Meldung "Object exists: ou=Domain Controllers,dc=addom,dc=local" weist darauf hin, dass hier vor dem univention-ad-takeover auf UCS-Seite schon OU/CN-Conainter angelegt worden sind. Das sollte normalerweise kein Problem sein, da UDM hier wie folgt aufgerufen wird:

/usr/sbin/univention-directory-manager udm_type create --ignore_exists \
  --position %s --set name=%s


Alternativ könnten die UDM-CLi-Aufrufe in dem Skript durch python-API ersetzt werden.
Comment 1 Stefan Gohmann univentionstaff 2016-10-11 08:02:25 CEST
This issue has been filed against UCS 3.0.

UCS 3.0 is out of maintenance and many UCS components have vastly changed in later releases. Thus, this issue is now being closed.

If this issue still occurs in newer UCS versions, please reopen.